macroScript ConvertPointsToBezier
	category:"I-Max_Scripts"
	buttonText:"To Bezier"
(
	Type = #(line,splineshape)
	D=#()
	for obj in selection do
	(
		If (findItem type (classof obj)) != 0 do
		(
			shp = obj
			abd = getSelectionLevel shp
			selspln = getSplineSelection shp
			local s = numsplines shp
			for o in 1 to s do
			(
				n = numknots shp o
				selvex = getKnotSelection shp o
				selsegs = getSegSelection shp o
				if abd == #vertex do
				(
					for vert in selvex do 
					(
						setKnotType shp o vert #bezier
						updateshape shp
						)
					subobjectlevel = 1
					)
				if abd == #face do
				(
					selvex = (for x in selsegs collect (x+1))
					vert = selvex + selsegs
					makeUniqueArray vert 
					for seg in vert do 
					(
						print seg
						setKnotType shp o seg #bezier
						updateshape shp
						)
					subobjectlevel = 2
					)
				if abd == #edge do
				(
					if (findItem selspln o) != 0 do  
					for t in 1 to n do 
					(
						setKnotType shp o t #bezier
						updateshape shp
						)
					subobjectlevel = 3
					)
				if abd == #object do
				(
					for t in 1 to n do 
					(
						setKnotType shp o t #bezier
						updateshape shp
						)
					)
				)
			append D shp
			)
		)
	select D
	)
